Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161802 - URL is not copied into location bar when opening a page in a new tab fails
Summary: URL is not copied into location bar when opening a page in a new tab fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-27 14:45 UTC by Petr Tuma
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version: 1.5 (?)
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-20 13:17:18 UTC


Attachments (Terms of Use)

Description Petr Tuma 2005-06-27 14:45:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I open a series of links in new tabs and the transfer fails (I sometimes have to work on a slow link which gets congested easily and the DNS resolution process times out for the links being opened), the new tabs have an empty location URL (the input area at the very top of the window where URL is normally entered and displayed). This makes it impossible to reload or retry loading the URL.

Interestingly, this does not happen all the time, but definitely most of the time.


Version-Release number of selected component (if applicable):
firefox-1.0.4-4

How reproducible:
Sometimes

Steps to Reproduce:
I was about to start with "get a slow link" ... but I realize that is not a very good approach to bug reproduction :-) ... I think the following should also work, even though I did not try it myself:

1. Open a page, e.g. http://news.bbc.co.uk
2. Disable name resolution mechanism to approximate the situation where network is temporarily congested, e.g. by renaming /etc/resolv.conf.
3. Open a couple of tabs by clicking on the links of the current page using the "open in new tab" button (I have this bound to the middle mouse button, not sure if it is the default).
4. You should see a lot of error messages, and when the new tabs are opened, no URL is filled in.


Actual Results:  The new tabs that failed loading the link have no URL filled in.


Expected Results:  The tabs should have the URL that they have failed to open filled in the location bar.


Additional info:

Comment 1 Christian Iseli 2007-01-20 00:21:29 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Petr Tuma 2007-01-20 13:17:18 UTC
Didn't happen to me for quite some time.
Probably fixed even though not sure in which release exactly.



Note You need to log in before you can comment on or make changes to this bug.